Open CASCADE Technology: GeomLProp_SurfaceTool Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
GeomLProp_SurfaceTool Class Reference

`#include <GeomLProp_SurfaceTool.hxx>`

## Static Public Member Functions
static void | Value (const Handle< Geom_Surface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P)
| Computes the point. More...
static void | D1 (const Handle< Geom_Surface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P, gp_Vec &D1U, gp_Vec &D1V)
| Computes the point. More...
static void | D2 (const Handle< Geom_Surface > &S, const Standard_Real U, const Standard_Real V, gp_Pnt &P, gp_Vec &D1U, gp_Vec &D1V, gp_Vec &D2U, gp_Vec &D2V, gp_Vec &DUV)
| Computes the point. More...
static gp_Vec | DN (const Handle< Geom_Surface > &S, const Standard_Real U, const Standard_Real V, const Standard_Integer IU, const Standard_Integer IV)
static Standard_Integer | Continuity (const Handle< Geom_Surface > &S)
| returns the order of continuity of the Surface <S>. returns 1 : first derivative only is computable returns 2 : first and second derivative only are computable. More...
static void | Bounds (const Handle< Geom_Surface > &S, Standard_Real &U1, Standard_Real &V1, Standard_Real &U2, Standard_Real &V2)
| returns the bounds of the Surface. More...

## Member Function Documentation

static void GeomLProp_SurfaceTool::Bounds | ( | const Handle< Geom_Surface > & | S,
|  | Standard_Real & | U1,
|  | Standard_Real & | V1,
|  | Standard_Real & | U2,
|  | Standard_Real & | V2
| ) |  |
| static

returns the bounds of the Surface.

static Standard_Integer GeomLProp_SurfaceTool::Continuity | ( | const Handle< Geom_Surface > & | S | ) |
| static

returns the order of continuity of the Surface <S>. returns 1 : first derivative only is computable returns 2 : first and second derivative only are computable.

static void GeomLProp_SurfaceTool::D1 | ( | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P,
|  | gp_Vec & | D1U,
|  | gp_Vec & | D1V
| ) |  |
| static

Computes the point.

and first derivative <D1*> of parameter <U> and <V> on the Surface <S>.

static void GeomLProp_SurfaceTool::D2 | ( | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P,
|  | gp_Vec & | D1U,
|  | gp_Vec & | D1V,
|  | gp_Vec & | D2U,
|  | gp_Vec & | D2V,
|  | gp_Vec & | DUV
| ) |  |
| static

Computes the point.

, the first derivative <D1*> and second derivative <D2*> of parameter <U> and <V> on the Surface <S>.

static gp_Vec GeomLProp_SurfaceTool::DN | ( | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | const Standard_Integer | IU,
|  | const Standard_Integer | IV
| ) |  |
| static

static void GeomLProp_SurfaceTool::Value | ( | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | U,
|  | const Standard_Real | V,
|  | gp_Pnt & | P
| ) |  |
| static

Computes the point.

of parameter <U> and <V> on the Surface <S>.

The documentation for this class was generated from the following file:

- GeomLProp_SurfaceTool.hxx